<?php

$sys['modules']['pp'] = $sys['modules']['pp'] ?? 1;
$sys['modules']['mod_pp'] = $sys['modules']['mod_pp'] ?? 1;
$sys['system']['pp_cena'] = $sys['system']['pp_cena'] ?? 0.05;

if ($sys['modules']['pp'] == 1) {

    // prepared
    $stmt_click = $connect->prepare("select count(*) from `pp_click` where `ip` = ? and `link` = ?");
    $stmt_cl = $connect->prepare("select count(*) from `pp_click` where `link` = ?");

    // Очистка лога о переходах
    $stmt = $connect->prepare("delete from `pp_click` where `time` < :time");
    $stmt->bindValue(':time', getTimeByTimezone($sys['system']['timezone'], 0, 0, 0), PDO::PARAM_INT);
    $stmt->execute();

    // Общее кол-во площадок
    $all_links = $connect->query("select count(*) from `pp_link`")->fetchColumn();
    $active_links = $connect->query("select count(*) from `pp_link` where `click` > '0' and `status` = '1'")->fetchColumn();
    // На модерации
    $c_mod_link = $c_mod_pp ?? ($connect->query("select count(*) from `pp_link` where `status` = '3'")->fetchColumn());
    $new_mod_link = $new_mod_pp ?? ($c_mod_link > 0 ? '<span class="wa-span-red">+'.$c_mod_link.'</span>' : '');
    // Кол-во платных переходов
    $clicks = $connect->query("select count(*) from `pp_click`")->fetchColumn();

    if (isset($active)) {

        // Кол-во площадок
        $stmt_link = $connect->prepare("select count(*) from `pp_link` where `uid` = ?");
        $stmt_link->execute(array($user['id']));
        $links = $stmt_link->fetchColumn();

    }

}