<?php

/* WapKassa */

require_once($_SERVER["DOCUMENT_ROOT"]."/inc/function.php");

if ($sys['payment']['wpk_id'] && $sys['payment']['wpk_hash']) {

    $strow = $connect->prepare("select * from `plus` where `num` = ?");
    $plus = $connect->prepare("update `plus` set `status` = ? where `id` = ?");

    if (isset($_POST['WK_PAY_ID']) &&
        isset($_POST['WK_PAY_AMOUNT']) &&
        isset($_POST['WK_PAY_TIME']) &&
        isset($_POST['WK_PAY_HASH'])) {

        /* Проверка */

        $strow->execute(array($_POST['WK_PAY_ID']));
        $row = $strow->fetch();

        if (!$row)
            exit('ERR: ПОПЫТКА ПОДМЕНЫ ПЛАТЕЖА!');

        if ($row['status'] == 1)
            exit('ERR: НЕДЕЙСТВИТЕЛЬНЫЙ ПЛАТЁЖ!');

        if ($row['sum'] != $_POST['WK_PAY_AMOUNT'])
            exit('ERR: ПОПЫТКА ПОДМЕНЫ СУММЫ!');

        $hash = strtoupper(hash('sha256',

            $sys['payment']['wpk_id'].
            $_POST['WK_PAY_AMOUNT'].
            $_POST['WK_PAY_TIME'].
            $sys['payment']['wpk_hash']

        ));

        if ($hash != $_POST['WK_PAY_HASH'])
            exit('ERR: ПОПЫТКА ПОДМЕНЫ КОНТРОЛЬНОЙ ПОДПИСИ!');

        // пополнение
        if (pay($row['sum'], $row['uid']))
            $plus->execute(array(1, $row['id']));

    }

}

 ?>